## stratagus-2.4.1.tar.gz

=== CMakeLists.txt ===
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    CMakeLists.txt
#    Copyright (C) 2011-2014  Pali Rohár <pali.rohar@gmail.com>, cybermind <cybermindid@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

#########################
# Version configuration #
#########################
# Stratagus major version
set(STRATAGUS_MAJOR_VERSION 2)
# Stratagus minor version (maximum 99)
set(STRATAGUS_MINOR_VERSION 4)
# Stratagus patch level (maximum 99)
set(STRATAGUS_PATCH_LEVEL 1)
# Stratagus patch level 2
set(STRATAGUS_PATCH_LEVEL2 0)
#########################

project(stratagus)
cmake_minimum_required(VERSION 2.6)

set(STRATAGUS_VERSION "${STRATAGUS_MAJOR_VERSION}.${STRATAGUS_MINOR_VERSION}.${STRATAGUS_PATCH_LEVEL}")
set(STRATAGUS_VERSION_FULL "${STRATAGUS_VERSION}.${STRATAGUS_PATCH_LEVEL2}")

if(${STRATAGUS_PATCH_LEVEL2} GREATER 0)
	set(STRATAGUS_VERSION "${STRATAGUS_VERSION_FULL}")
endif()

# Stratagus sources

include_directories(
	src/include
	src/guichan/include
	src/guichan/include/guichan
	${CMAKE_CURRENT_BINARY_DIR}
)

set(action_SRCS
	src/action/action_attack.cpp
	src/action/action_board.cpp
	src/action/action_build.cpp
	src/action/action_built.cpp
	src/action/action_defend.cpp
	src/action/action_die.cpp
	src/action/action_follow.cpp
	src/action/action_move.cpp
	src/action/action_patrol.cpp
	src/action/action_repair.cpp
	src/action/action_research.cpp
	src/action/action_resource.cpp
	src/action/action_spellcast.cpp
	src/action/action_still.cpp
	src/action/action_train.cpp
	src/action/action_unload.cpp
	src/action/action_upgradeto.cpp
	src/action/actions.cpp
	src/action/command.cpp
)
source_group(action FILES ${action_SRCS})

set(animation_SRCS
	src/animation/animation.cpp
	src/animation/animation_attack.cpp
	src/animation/animation_die.cpp
	src/animation/animation_exactframe.cpp
	src/animation/animation_frame.cpp
	src/animation/animation_goto.cpp
	src/animation/animation_ifvar.cpp
	src/animation/animation_label.cpp
	src/animation/animation_luacallback.cpp
	src/animation/animation_move.cpp
	src/animation/animation_randomgoto.cpp
	src/animation/animation_randomrotate.cpp
	src/animation/animation_randomsound.cpp
	src/animation/animation_randomwait.cpp
	src/animation/animation_rotate.cpp
	src/animation/animation_setplayervar.cpp
	src/animation/animation_setvar.cpp
	src/animation/animation_sound.cpp
	src/animation/animation_spawnmissile.cpp
	src/animation/animation_spawnunit.cpp
	src/animation/animation_unbreakable.cpp
	src/animation/animation_wait.cpp
)
source_group(animation FILES ${animation_SRCS})

set(ai_SRCS
	src/ai/ai_building.cpp
	src/ai/ai.cpp
	src/ai/ai_force.cpp
	src/ai/ai_magic.cpp
	src/ai/ai_plan.cpp
	src/ai/ai_resource.cpp
	src/ai/script_ai.cpp
)
source_group(ai FILES ${ai_SRCS})

set(beos_SRCS
	src/beos/beos.cpp
)
source_group(beos FILES ${beos_SRCS})

set(editor_SRCS
	src/editor/editloop.cpp
	src/editor/editor.cpp
	src/editor/edmap.cpp
	src/editor/script_editor.cpp
)
source_group(editor FILES ${editor_SRCS})

set(game_SRCS
	src/game/game.cpp
	src/game/loadgame.cpp
	src/game/replay.cpp
	src/game/savegame.cpp
	src/game/trigger.cpp
)
source_group(game FILES ${game_SRCS})

set(guichan_SRCS
	src/guichan/cliprectangle.cpp
	src/guichan/color.cpp
	src/guichan/defaultfont.cpp
	src/guichan/exception.cpp
	src/guichan/focushandler.cpp
	src/guichan/gfont.cpp
	src/guichan/graphics.cpp
	src/guichan/gui.cpp
	src/guichan/guichan.cpp
	src/guichan/image.cpp
	src/guichan/imagefont.cpp
	src/guichan/key.cpp
	src/guichan/keyinput.cpp
	src/guichan/mouseinput.cpp
#	src/guichan/opengl/opengl.cpp
#	src/guichan/opengl/openglgraphics.cpp
#	src/guichan/opengl/openglimageloader.cpp
	src/guichan/rectangle.cpp
	src/guichan/sdl/gsdl.cpp
	src/guichan/sdl/sdlgraphics.cpp
	src/guichan/sdl/sdlimageloader.cpp
	src/guichan/sdl/sdlinput.cpp
	src/guichan/widget.cpp
	src/guichan/widgets/button.cpp
	src/guichan/widgets/container.cpp
	src/guichan/widgets/dropdown.cpp
	src/guichan/widgets/checkbox.cpp
	src/guichan/widgets/icon.cpp
	src/guichan/widgets/label.cpp
	src/guichan/widgets/listbox.cpp
	src/guichan/widgets/radiobutton.cpp
	src/guichan/widgets/scrollarea.cpp
	src/guichan/widgets/slider.cpp
	src/guichan/widgets/textbox.cpp
	src/guichan/widgets/textfield.cpp
	src/guichan/widgets/window.cpp
)
source_group(guichan FILES ${guichan_SRCS})

set(map_SRCS
	src/map/map.cpp
	src/map/map_draw.cpp
	src/map/map_fog.cpp
	src/map/map_radar.cpp
	src/map/map_wall.cpp
	src/map/mapfield.cpp
	src/map/minimap.cpp
	src/map/script_map.cpp
	src/map/script_tileset.cpp
	src/map/tileset.cpp
)
source_group(map FILES ${map_SRCS})

set(missile_SRCS
	src/missile/missile.cpp
	src/missile/missile_cliptotarget.cpp
	src/missile/missile_continuous.cpp
	src/missile/missile_cycleonce.cpp
	src/missile/missile_deathcoil.cpp
	src/missile/missile_fire.cpp
	src/missile/missile_flameshield.cpp
	src/missile/missile_hit.cpp
	src/missile/missile_landmine.cpp
	src/missile/missile_none.cpp
	src/missile/missile_parabolic.cpp
	src/missile/missile_pointotpointwithhit.cpp
	src/missile/missile_pointtopoint.cpp
	src/missile/missile_pointtopointbounce.cpp
	src/missile/missile_pointtopointcycleonce.cpp
	src/missile/missile_stay.cpp
	src/missile/missile_straightfly.cpp
	src/missile/missile_tracer.cpp
	src/missile/missile_whirlwind.cpp
	src/missile/missileconfig.cpp
	src/missile/script_missile.cpp
)
source_group(missile FILES ${missile_SRCS})

set(network_SRCS
	src/network/commands.cpp
	src/network/net_lowlevel.cpp
	src/network/net_message.cpp
	src/network/master.cpp
	src/network/netconnect.cpp
	src/network/network.cpp
	src/network/netsockets.cpp
)
source_group(network FILES ${network_SRCS})

set(particle_SRCS
	src/particle/graphicanimation.cpp
	src/particle/chunkparticle.cpp
	src/particle/particlemanager.cpp
	src/particle/radialparticle.cpp
	src/particle/smokeparticle.cpp
	src/particle/staticparticle.cpp
)
source_group(particle FILES ${particle_SRCS})

set(pathfinder_SRCS
	src/pathfinder/astar.cpp
	src/pathfinder/pathfinder.cpp
	src/pathfinder/script_pathfinder.cpp
)
source_group(pathfinder FILES ${pathfinder_SRCS})

set(sound_SRCS
	src/sound/fluidsynth.cpp
	src/sound/mikmod.cpp
	src/sound/music.cpp
	src/sound/ogg.cpp
	src/sound/script_sound.cpp
	src/sound/sound.cpp
	src/sound/sound_id.cpp
	src/sound/sound_server.cpp
	src/sound/unitsound.cpp
	src/sound/wav.cpp
)
source_group(sound FILES ${sound_SRCS})

set(spell_SRCS
	src/spell/script_spell.cpp
	src/spell/spell_adjustvariable.cpp
	src/spell/spell_adjustvital.cpp
	src/spell/spell_areaadjustvital.cpp
	src/spell/spell_areabombardment.cpp
	src/spell/spell_capture.cpp
	src/spell/spell_demolish.cpp
	src/spell/spell_luacallback.cpp
	src/spell/spell_polymorph.cpp
	src/spell/spell_spawnmissile.cpp
	src/spell/spell_spawnportal.cpp
	src/spell/spell_summon.cpp
	src/spell/spell_teleport.cpp
	src/spell/spells.cpp
)
source_group(spell FILES ${spell_SRCS})

set(stratagusmain_SRCS
	src/stratagus/construct.cpp
	src/stratagus/groups.cpp
	src/stratagus/iolib.cpp
	src/stratagus/luacallback.cpp
	src/stratagus/main.cpp
	src/stratagus/mainloop.cpp
	src/stratagus/parameters.cpp
	src/stratagus/player.cpp
	src/stratagus/script.cpp
	src/stratagus/script_player.cpp
	src/stratagus/selection.cpp
	src/stratagus/stratagus.cpp
	src/stratagus/title.cpp
	src/stratagus/translate.cpp
	src/stratagus/util.cpp
)
source_group(stratagusmain FILES ${stratagus_SRCS})

set(ui_SRCS
	src/ui/botpanel.cpp
	src/ui/button_checks.cpp
	src/ui/contenttype.cpp
	src/ui/icons.cpp
	src/ui/interface.cpp
	src/ui/mainscr.cpp
	src/ui/uibuttons_proc.cpp
	src/ui/mouse.cpp
	src/ui/popup.cpp
	src/ui/script_ui.cpp
	src/ui/statusline.cpp
	src/ui/ui.cpp
	src/ui/uitimer.cpp
	src/ui/widgets.cpp
)
source_group(ui FILES ${ui_SRCS})

set(unit_SRCS
	src/unit/build.cpp
	src/unit/depend.cpp
	src/unit/script_unit.cpp
	src/unit/script_unittype.cpp
	src/unit/unit_cache.cpp
	src/unit/unit.cpp
	src/unit/unit_draw.cpp
	src/unit/unit_find.cpp
	src/unit/unit_manager.cpp
	src/unit/unit_save.cpp
	src/unit/unitptr.cpp
	src/unit/unittype.cpp
	src/unit/upgrade.cpp
)
source_group(unit FILES ${unit_SRCS})

set(video_SRCS
	src/video/color.cpp
	src/video/cursor.cpp
	src/video/font.cpp
	src/video/graphic.cpp
	src/video/linedraw.cpp
	src/video/mng.cpp
	src/video/movie.cpp
	src/video/png.cpp
	src/video/sdl.cpp
	src/video/shaders.cpp
	src/video/sprite.cpp
	src/video/video.cpp
)
source_group(video FILES ${video_SRCS})

set(win32_SRCS
	src/win32/SetupConsole_win32.cpp
	src/win32/DeclareDPIAware.manifest
	src/win32/stratagus.rc
)
source_group(win32 FILES ${win32_SRCS})

set(tolua_FILES
	src/tolua/ai.pkg
	src/tolua/editor.pkg
	src/tolua/font.pkg
	src/tolua/game.pkg
	src/tolua/map.pkg
	src/tolua/master.pkg
	src/tolua/minimap.pkg
	src/tolua/network.pkg
	src/tolua/particle.pkg
	src/tolua/pathfinder.pkg
	src/tolua/player.pkg
	src/tolua/sound.pkg
	src/tolua/stratagus.pkg
	src/tolua/translate.pkg
	src/tolua/trigger.pkg
	src/tolua/ui.pkg
	src/tolua/unit.pkg
	src/tolua/unittype.pkg
	src/tolua/upgrade.pkg
	src/tolua/video.pkg
	src/tolua/stratagus.lua
)
source_group(tolua FILES ${tolua_FILES})

set(stratagus_SRCS
	${action_SRCS}
	${animation_SRCS}
	${ai_SRCS}
	${editor_SRCS}
	${game_SRCS}
	${guichan_SRCS}
	${map_SRCS}
	${missile_SRCS}
	${network_SRCS}
	${particle_SRCS}
	${pathfinder_SRCS}
	${sound_SRCS}
	${spell_SRCS}
	${stratagusmain_SRCS}
	${ui_SRCS}
	${unit_SRCS}
	${video_SRCS}
	${CMAKE_CURRENT_BINARY_DIR}/tolua.cpp
)

set(stratagus_guichan_HDRS
	src/guichan/include/guichan/actionlistener.h
	src/guichan/include/guichan/allegro.h
	src/guichan/include/guichan/basiccontainer.h
	src/guichan/include/guichan/cliprectangle.h
	src/guichan/include/guichan/color.h
	src/guichan/include/guichan/defaultfont.h
	src/guichan/include/guichan/exception.h
	src/guichan/include/guichan/focushandler.h
	src/guichan/include/guichan/font.h
	src/guichan/include/guichan/graphics.h
	src/guichan/include/guichan/gsdl.h
	src/guichan/include/guichan/gui.h
	src/guichan/include/guichan.h
	src/guichan/include/guichan/imagefont.h
	src/guichan/include/guichan/image.h
	src/guichan/include/guichan/imageloader.h
	src/guichan/include/guichan/input.h
	src/guichan/include/guichan/key.h
	src/guichan/include/guichan/keyinput.h
	src/guichan/include/guichan/keylistener.h
	src/guichan/include/guichan/listmodel.h
	src/guichan/include/guichan/mouseinput.h
	src/guichan/include/guichan/mouselistener.h
	src/guichan/include/guichan/platform.h
	src/guichan/include/guichan/rectangle.h
	src/guichan/include/guichan/sdl/sdlgraphics.h
	src/guichan/include/guichan/sdl/sdlimageloader.h
	src/guichan/include/guichan/sdl/sdlinput.h
	src/guichan/include/guichan/sdl/sdlpixel.h
	src/guichan/include/guichan/widget.h
	src/guichan/include/guichan/widgets/button.h
	src/guichan/include/guichan/widgets/container.h
	src/guichan/include/guichan/widgets/dropdown.h
	src/guichan/include/guichan/widgets/checkbox.h

=== metaserver/Makefile ===
CXXFLAGS = -I../include -I/usr/include/SDL -DHAVE_STRCASESTR -W -Wall -O2 -Wno-write-strings
LDFLAGS = -lSDL -lsqlite3

metaserver: cmd.o db.o games.o netdriver.o main.o lowlevel.o
	$(CXX) $^ $(LDFLAGS) -o $@

lowlevel.o: ../network/lowlevel.cpp
	$(CXX) -c $^ $(CXXFLAGS) -o $@

clean:
	$(RM) *.o metaserver

=== debian/changelog ===
stratagus (2.4.1-0) unstable; urgency=low

  * Add support for icon frames in engine
  * Add support for selecting and giving orders to multiple buildings
  * Add checksumming for loaded lua files, to avoid incompatible multiplayer clients
  * Update shader support to use pre-compiled shaders from libretro

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 2 Dec 2015 12:41:01 +0100

stratagus (2.4.0-1) unstable; urgency=low

  * Introduced OpenGL shaders for pixel scaling
  * Added support for semi-transparent building shadows
  * Many cleanups ported from Wyrmgus
  * Added support individual unit upgrades
  * Fixed multiplayer out-of-sync issue
  * Fixed multiplayer race selection
  * Fixed unit sight not being symmetrical
  * Fixed build restriction on top not being symmetrical
  * Added support for map-specific unit stats and changing them through the map editor
  * Added support for autosaves

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 2 Dec 2015 12:41:01 +0100

stratagus (2.3.0-1) unstable; urgency=low

  * Introduced crash dump writing for win32 (from cybermind)
  * Added ImageListBox, ImageTextField, ImageDropDownWidget (from cybermind)
  * Added AIScript for GameSettings to specify the AI script to use
    (from cybermind)
  * Added Preferences.DeselectInMine (from cybermind)
  * SetNewViewportMode function to choose viewport from Lua (from cybermind)
  * Fix fancy buildings (from cybermind)
  * Added AiSetBuildDepots function (from cybermind)
  * Added function for key scroll speed (from cybermind)
  * Improved network stability (from cybermind)
  * Added CPreference::MineNotifications, to show notifications when
    player-controlled mine is running low
  * Fix bug #901772: Support for player color changing (from cybermind)
  * When right-clicking on mine, selected miners will go to depot
    if they are full of resources (from cybermind)
  * Added support for StackTrace library to log call stack into stderr
    in case of crash (from cybermind)
  * GetUnitsAroundUnit now supports 3 parameter for getting
    all units in range (from cybermind)
  * Add ability to get unit reference and CUnitType::TileWidth
    and CUnitType::TileHeight in Lua (from cybermind)
  * Fix bug #817057: Added ability to keep selected harvester
    when it enters mine (from cybermind)
  * Improved auto-cast animation (from cybermind)
  * Correct explosion for critters (from cybermind)
  * Research all upgrades which were already researched on the map beginning
    (from cybermind)
  * Added CPreference.StereoSound, to control stereo effects (from cybermind)
  * Fixed bug with alpha in DrawFrameClipTransX (from Andrettin)
  * Added option for parallel build on MSVC (from cybermind)
  * Fix bug #1331628: Applied Andrettin's patch for SetPlayerData,
    https://bugs.launchpad.net/stratagus/+bug/1331628 (from Andrettin)
  * Fix bug #1331788: Implemented Andrettin's patch for GetPlayerData:
    https://bugs.launchpad.net/stratagus/+bug/1331788 (from Andrettin)
  * Fix bug #1330053: Fixed bug with incorrect race name display.
    (from cybermind)
  * Fix bug #1328658: Fixed bug with IsNotSelectable flag showing
    info about units (from cybermind)
  * Fixed bug with IsNotSelectable flag showing info about units
    (from cybermind)
  * Added special "~|" formatting symbol to specify the position symbol
    (useful for making translations with different string length)
    (from cybermind)
  * Generic AI collision detection for blocked units (from cybermind)
  * SetDefaultTextColors is available from Lua (from cybermind)
  * Increased sound channel count to reduce sound lags (from cybermind)
  * Added Fluidsynth support for MIDI playback (from cybermind)
  * Fixed colored text (from cybermind)
  * Fix bug #1357737: Fix typo for tileset.
    thanks to Andre Novellino Gouvêa (from Andrettin)
  * Fix bug #1328664: Applied Andrettin's patch to map scripting:
    https://bugs.launchpad.net/stratagus/+bug/1328664 (from Andrettin)
  * Fix bug #1328326: Applied Andrettin's patch to editor:
    https://bugs.launchpad.net/stratagus/+bug/1328326 (from Andrettin)
  * Fix bug #1328040: Fixed bug with rescued units icon drawing
    (from cybermind)
  * Fix bug #1327929: Apply Dinky's icons patch (from Dinky Dye Aussie)
  * Fix bug #1327505: Fixed another issue with player colors (from cybermind)
  * Fix bug #1282580: Fixed workers resource give up,
    now they are trying to find another resource (from cybermind)
  * Fix bug #1323483: Fixed compilation on OS Mavericks (from cybermind)
  * Fix bug #706188: map clipping on 32x32 maps (from cybermind)
  * Fix bug #1325736: Added disabled graphics for ImageCheckBox,
    ImageRadioButton, ImageSlider (from cybermind)
  * Fix bug #1040967: Fixed bug with construction outline (from cybermind)
  * Fix bug #1293138: Fixed incorrect update for Kill and XP variables
    when upgrading-to (from cybermind)
  * Fix bug #822139: Now editor correctly uses randomized mixed tile types
    (from cybermind)
  * Added "corpse" check for autocast spells (from cybermind)
  * Added "position-autocast" field for "autocast" spell section,
    allowing to set up autocast for position spells (from cybermind)
  * Fix bugs #1293004, 1094527: Added CPreference::IconsShift,
    to shift icons slightly when you press on them (from cybermind)
  * Fix bug #1234987: Fixed crash when using tabs in text (from cybermind)
  * Fix bug #1041837: Fixed crash when blowing up dwarves/sappers
    (from cybermind)
  * Added AiReleaseForce(force) Lua function, to release "force" 's units
    to be able to use them in another force (from cybermind)
  * Added support for new NumberDesc field, PlayerData,
    to get player's data (from cybermind)
  * Added CPreference::GrayscaleIcons, to enable and disable support
    for grayscale icons (from cybermind)
  * Fix bug #1121130: Correct Death Coil spell casting (from cybermind)
  * Fix bug #1163591: Lua access to UI.Infopanel.G, required for correct


=== debian/control ===
Source: stratagus
Section: games
Priority: optional
Maintainer: cybermind <iddqd_mail@mail.ru>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), doxygen,
 imagemagick, sharutils, liblua5.1-dev | liblua5.1-0-dev, libtolua++5.1-dev,
 zlib1g-dev, libbz2-dev, libpng12-dev (>= 1.2.5), libmng-dev,
 libmikmod2-dev, libogg-dev, libvorbis-dev, libtheora-dev,
 libsdl1.2-dev (>> 1.2.2), libx11-dev, libsqlite3-dev,
 libgles1-sgx-img-dev | libglu1-mesa-dev | libglu-dev | libgles1-mesa-dev,
 libsdl-gles1.2-dev | libglu1-mesa-dev | libglu-dev, libfluidsynth-dev
Standards-Version: 3.9.6
Homepage: https://github.com/Wargus/stratagus
Vcs-Browser: https://github.com/Wargus/stratagus
Vcs-Git: https://github.com/Wargus/stratagus.git

Package: stratagus
Architecture: any
Suggests: wargus, war1gus, stargus, stratagus-data
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Strategy Gaming Engine
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.

Package: stratagus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg, stratagus (= ${binary:Version})
Description: Strategy Gaming Engine (debugging symbols)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus binary with debugging symbols.

Package: stratagus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: stratagus
Description: Strategy Gaming Engine (documentation)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus documentation.

Package: stratagus-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, stratagus (>= ${binary:Version})
Description: Strategy Gaming Engine (development files)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus game development headers files needed for
 building Stratagus games.

=== debian/rules ===
#!/usr/bin/make -f
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    debian/rules
#    Copyright (C) 2010-2011  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_DOC=ON -DENABLE_DEV=ON
	dh_auto_configure --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg -- -DCMAKE_BUILD_TYPE=Debug

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg

override_dh_install:
	dh_install
	dh_auto_install --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg --destdir=debian/stratagus-dbg
	rm -f debian/stratagus-dbg/usr/bin/png2stratagus debian/stratagus-dbg/usr/sbin/metaserver
	convert src/win32/stratagus.ico debian/stratagus/usr/share/pixmaps/stratagus.png

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info     

override_dh_strip:
	dh_strip --dbg-package=stratagus-dbg
